Subject: Re: Add test module for Table Access Method

From: Jelte Fennema-Nio <[email-masked]>
Date: Mon, 15 Jan 2024 10:36:49 +0100

On Thu, 28 Sept 2023 at 03:08, Michael Paquier <[email-masked]> wrote:
> dummy_index_am has included from the start additional coverage for the
> various internal add_*_reloption routines, that were never covered in
> the core tree.  Except if I am missing something, I am not seeing some
> of the extra usefulness for the patch you've sent here.

When trying to implement a table access method in the past I remember
very well that I was having a really hard time finding an example of
one. I remember seeing the dummy_index_am module and being quite
disappointed that there wasn't a similar one for table access methods.
I believe that I eventually found blackhole_am, but it took me quite a
bit of mailing list spelunking to get there. So I think purely for
documentation purposes this addition would already be useful.